% demo for example data
clc
%clear all
close all

[input, output, inputText, outputText] = exampleData('daimlerdiesel2008_reduced');


nIn = size(input,2);
nOut = size(input,2);

% scatterplot of all input/output combinations
figure
for in = 1:nIn
    for out = 1:nOut
        subplot(nIn,nOut,nIn*(out-1)+in)
        plot(input(:,in),output(:,out),'.')
        xlabel(inputText{in})
        ylabel(outputText{out})
    end
end

figure
in = 1;
out = 1;
plot(input(:,in),output(:,out),'.')
xlabel(inputText{in})
ylabel(outputText{out})

